/// <reference types="offscreencanvas" />
/// <reference types="@webgpu/types" />
import { Canvas } from '@antv/g';
import { Renderer } from '@antv/g-webgl';
import type { GraphData } from './types';
export interface WebGPUGraphOptions {
    canvas: HTMLCanvasElement | OffscreenCanvas;
}
export declare class WebGPUGraph {
    canvas: Canvas;
    renderer: Renderer;
    constructor(options?: Partial<WebGPUGraphOptions>);
    private getDevice;
    pageRank(graphData: GraphData, eps?: number, alpha?: number, maxIteration?: number): Promise<{
        id: string;
        score: number;
    }[]>;
    sssp(graphData: GraphData, sourceId: string, weightPropertyName?: string): Promise<{
        target: string;
        distance: number;
        predecessor: string;
    }[]>;
    destroy(): void;
}
