import type { WebGLRenderer } from '@antv/g-webgl';
import type { GraphData } from '../types';
/**
 * Pagerank using power method, ported from CUDA
 *
 * @param graphData
 * @param eps Set the tolerance the approximation, this parameter should be a small magnitude value. The lower the tolerance the better the approximation.
 * @param alpha The damping factor alpha represents the probability to follow an outgoing edge, standard value is 0.85.
 * @param maxIteration Set the maximum number of iterations.
 *
 * @see https://github.com/princeofpython/PageRank-with-CUDA/blob/main/parallel.cu
 */
export declare function pageRank(device: WebGLRenderer.Device, graphData: GraphData, eps?: number, alpha?: number, maxIteration?: number): Promise<{
    id: string;
    score: number;
}[]>;
