import type { WebGLRenderer } from '@antv/g-webgl';
import { GraphData } from '../types';
/**
 * SSSP(Bellman-Ford) ported from CUDA
 *
 * @see https://www.lewuathe.com/illustration-of-distributed-bellman-ford-algorithm.html
 * @see https://github.com/sengorajkumar/gpu_graph_algorithms
 * @see https://docs.rapids.ai/api/cugraph/stable/api_docs/api/cugraph.traversal.sssp.sssp.html
 * compared with G6:
 * @see https://g6.antv.vision/zh/docs/api/Algorithm#findshortestpathgraphdata-start-end-directed-weightpropertyname
 */
export declare function sssp(device: WebGLRenderer.Device, graphData: GraphData, sourceId: string, weightPropertyName?: string, maxDistance?: number): Promise<{
    target: string;
    distance: number;
    predecessor: string;
}[]>;
