import { __spreadArray } from "tslib";
export function convertGraphData2CSC(graphData) {
  var V = [];
  var E = [];
  var From = [];
  var To = [];
  var I = [];
  var nodeId2IndexMap = {};
  var edges = [];
  graphData.nodes.forEach(function (node, i) {
    nodeId2IndexMap[node.id] = i;
    V.push(i);
  });
  var lastSource = '';
  var counter = 0; // sort by source

  __spreadArray([], graphData.edges, true).sort(function (a, b) {
    return nodeId2IndexMap[a.source] - nodeId2IndexMap[b.source];
  }).forEach(function (edgeConfig) {
    var source = edgeConfig.source,
        target = edgeConfig.target;
    edges.push(edgeConfig);
    E.push(nodeId2IndexMap[target]);
    From.push(nodeId2IndexMap[source]);
    To.push(nodeId2IndexMap[target]);

    if (source !== lastSource) {
      I.push(counter);
      lastSource = source;
    }

    counter++;
  });

  I.push(E.length);
  return {
    V: V,
    E: E,
    I: I,
    From: From,
    To: To,
    nodeId2IndexMap: nodeId2IndexMap,
    edges: edges
  };
}